Bug 1301534 - The gateway_ip attribute for the isolated networks are not accurate
Summary: The gateway_ip attribute for the isolated networks are not accurate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 12.0 (Pike)
Assignee: Dan Sneddon
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-25 10:20 UTC by Marius Cornea
Modified: 2018-03-28 17:15 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-0.20171024200826.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 17:14:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:15:58 UTC
OpenStack gerrit 500146 None None None 2017-11-14 19:54:52 UTC

Description Marius Cornea 2016-01-25 10:20:20 UTC
Description of problem:
The gateway_ip attribute for the isolated networks are not accurate. It is always set to the first address in the cidr. 

In the case of external network the gateway should be set to the value specified in the ExternalInterfaceDefaultRoute parameter. 

ExternalInterfaceDefaultRoute: 2001:db8:fd00:1000:dead:beef:cafe:f00
stack@instack:~>>> neutron subnet-show external_subnet | egrep "allocation_pools|cidr|gateway"
| allocation_pools  | {"start": "2001:db8:fd00:1000::02", "end": "2001:db8:fd00:1000:ffff:ffff:ffff:fffe"} |
| cidr              | 2001:db8:fd00:1000::/64                                                              |
| gateway_ip        | 2001:db8:fd00:1000::1                                                                |

In the case of the other isolated networks there should be no gateway_ip set:

stack@instack:~>>> neutron subnet-show storage_subnet | egrep "allocation_pools|cidr|gateway"
| allocation_pools  | {"start": "fd00:fd00:fd00:3000::10", "end": "fd00:fd00:fd00:3000:ffff:ffff:ffff:fffe"} |
| cidr              | fd00:fd00:fd00:3000::/64                                                               |
| gateway_ip        | fd00:fd00:fd00:3000::1                                                                 |

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-112.el7ost.noarch

This doesn't affect functionality since we're assigning the addresses statically on the overcloud nodes.

Comment 1 Angus Thomas 2016-01-26 18:57:30 UTC
Given that this bug doesn't affect functionality, I'm reloving it from the list of candidates to fix in 7.3.

Comment 3 Mike Burns 2016-04-07 21:03:37 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 5 Dan Sneddon 2016-10-14 18:56:57 UTC
This is a cosmetic issue, but it will be superseded by new functionality which uses the gateway_ip more logically. Setting this to OSP 11 (Ocata) for now for tracking.

Comment 6 Bob Fournier 2017-09-06 23:50:02 UTC
Upstream fix is https://review.openstack.org/#/c/499385/

Comment 8 Bob Fournier 2017-11-14 19:54:53 UTC
> can you make sure this is targeted correctly?
> rhos-12.0.z? but target release 11

Thanks for catching this Jon. Fixed the target release to be 12.  Also fixed the Gerrit ID.  This isn't planned for backporting to Ocata.

Comment 10 mlammon 2018-03-14 21:22:06 UTC
Deployed latest osp 12 2018-03-10.1

Env:
openstack-tripleo-heat-templates-7.0.9-6.el7ost.noarch

Checked various template and looks like new implementation in place

Comment 13 errata-xmlrpc 2018-03-28 17:14:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.